Pular para o conteúdo principal

Não há mais suporte para esse navegador.

Atualize o Microsoft Edge para aproveitar os recursos, o suporte técnico e as atualizações de segurança mais recentes.

Baixar o Microsoft Edge Mais informações sobre o Internet Explorer e o Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Evaluation Rules

Create or update an evaluation rule

PUT /evaluationrules/{id}

Creates a new evaluation rule, or replaces the existing rule when the identifier matches.

Parâmetros de consulta

api-version string exigido

The API version to use for this operation.

Parâmetros de caminho

id string exigido

Unique identifier for the evaluation rule.

Parâmetros do cabeçalho

Foundry-Features enum

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

Evaluations=V1Preview

Corpo da solicitação

Evaluation rule resource

Content-Type: application/json
id string exigido

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview exigido

Evaluation action model.

Um dos seguintes:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum exigido
continuousEvaluation
evalId string exigido

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum exigido
humanEvaluationPreview
templateId string exigido

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string exigido

Filter by agent name.

eventType string | enum exigido

Type of the evaluation rule event.

Qualquer uma das seguintes opções:
string
enum
responseCompletedmanual
enabled boolean exigido

Indicates whether the evaluation rule is enabled. Default is true.

systemData object exigido

System metadata for the evaluation rule.

[key: string] string

Respostas

The request has succeeded.

Corpo

Content-Type: application/json
id string exigido

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview exigido

Evaluation action model.

Um dos seguintes:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum exigido
continuousEvaluation
evalId string exigido

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum exigido
humanEvaluationPreview
templateId string exigido

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string exigido

Filter by agent name.

eventType string | enum exigido

Type of the evaluation rule event.

Qualquer uma das seguintes opções:
string
enum
responseCompletedmanual
enabled boolean exigido

Indicates whether the evaluation rule is enabled. Default is true.

systemData object exigido

System metadata for the evaluation rule.

[key: string] string

The request has succeeded and a new resource has been created as a result.

Corpo

Content-Type: application/json
id string exigido

Unique identifier for the evaluation rule.

displayName string

Display Name for the evaluation rule.

description string

Description for the evaluation rule.

action continuousEvaluation | humanEvaluationPreview exigido

Evaluation action model.

Um dos seguintes:
continuousEvaluation ContinuousEvaluationRuleAction

Evaluation rule action for continuous evaluation.

type enum exigido
continuousEvaluation
evalId string exigido

Eval Id to add continuous evaluation runs to.

maxHourlyRuns integer

Maximum number of evaluation runs allowed per hour.

samplingRate number

Percentage (0-100] chance that a matching event triggers an evaluation. When omitted, the service-default is to evaluate every event, which is equivalent to setting a sampling rate of 100.

humanEvaluationPreview HumanEvaluationPreviewRuleAction

Evaluation rule action for human evaluation.

type enum exigido
humanEvaluationPreview
templateId string exigido

Identifier of a saved asset.

filter EvaluationRuleFilter

Evaluation filter model.

agentName string exigido

Filter by agent name.

eventType string | enum exigido

Type of the evaluation rule event.

Qualquer uma das seguintes opções:
string
enum
responseCompletedmanual
enabled boolean exigido

Indicates whether the evaluation rule is enabled. Default is true.

systemData object exigido

System metadata for the evaluation rule.

[key: string] string

Client error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Server error

Cabeçalhos

x-ms-error-code string

String error code indicating what went wrong.

Corpo

Content-Type: application/json
error Azure.Core.Foundations.Error exigido

The error object.

code string exigido

One of a server-defined set of error codes.

message string exigido

A human-readable representation of the error.

target string

The target of the error.

details Azure.Core.Foundations.Error[]

An array of details about specific errors that led to this reported error.

innererror Azure.Core.Foundations.InnerError

An object containing more specific information about the error. As per Azure REST API guidelines - https://aka.ms/AzureRestApiGuidelines#handling-errors.

code string

One of a server-defined set of error codes.

innererror Azure.Core.Foundations.InnerError

Solicitar

PUT /evaluationrules/{id} HTTP/1.1

Resposta

Status: 200
Content-Type: application/json
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
pt-br
Suas escolhas de privacidade
  • Aviso de isenção de responsabilidade sobre a IA
  • Versões anteriores
  • Blog
  • Contribuir
  • Privacidade
  • Privacidade da Integridade do Consumidor
  • Termos de Uso
  • Marcas Comerciais
  • © Microsoft 2026